package org.cocktail.fwkcktlscolpeda.serveur.metier;

/**
 * Titre d'un champ du descriptif (syllabus)
 */
public interface IDescriptifChampTitre {
	String COMP_OBJECTIFS = "COMP_OBJECTIFS";
	String COMP_CONTENU = "COMP_CONTENU";
	String COMP_RECOMMANDATION = "COMP_RECOMMANDATION";
	String COMP_PREREQUIS = "COMP_PREREQUIS";
	String COMP_OORGANISATION = "COMP_OORGANISATION";
	String COMP_MODALITES = "COMP_MODALITES";
	String COMP_AIDES = "COMP_AIDES";
	String COMP_PUBLIC_CIBLE = "COMP_PUBLIC_CIBLE";
	String COMP_ADMISSION = "COMP_ADMISSION";
	String COMP_BESOINS_PART = "COMP_BESOINS_PART";
	String DIP_ORIGINE = "DIP_ORIGINE";
	String DIP_RECRUTEMENT = "DIP_RECRUTEMENT";
	String DIP_RECOMMANDATION = "DIP_RECOMMANDATION";
	String DIP_PREREQUIS = "DIP_PREREQUIS";
	String DIP_CONNAISSANCE = "DIP_CONNAISSANCE";
	String DIP_COMPETENCE = "DIP_COMPETENCE";
	String DIP_POURSUITE = "DIP_POURSUITE";
	String DIP_METIER = "DIP_METIER";
	String DIP_ACTIVITE = "DIP_ACTIVITE";
	String DIP_NIVEAU_EMPLOI = "DIP_NIVEAU_EMPLOI";
	String DIP_SITUATION = "DIP_SITUATION";
	String DIP_SITUATION_REGIONALE = "DIP_SITUATION_REGIONALE";
	String DIP_SITUATION_NATIONALE = "DIP_SITUATION_NATIONALE";
	String DIP_SITUATION_INTERNATIONALE = "DIP_SITUATION_INTERNATIONALE";
	String DIP_PARTENARIAT = "DIP_PARTENARIAT";
	String DIP_SCHEMA = "DIP_SCHEMA";
	String DIP_PARCOURS = "DIP_PARCOURS";
	String DIP_PASSERELLE = "DIP_PASSERELLE";
	String DIP_ORIENTATION = "DIP_ORIENTATION";
	String DIP_MODALITE_EVALUATION = "DIP_MODALITE_EVALUATION";
	String DIP_MODALITE_ORIENTATION = "DIP_MODALITE_ORIENTATION";
	String DIP_ACCUEIL_ORIENTATION = "DIP_ACCUEIL_ORIENTATION";
	String DIP_DISPOSITIF_ACCOMPAGNEMENT = "DIP_DISPOSITIF_ACCOMPAGNEMENT";
	String DIP_AIDE = "DIP_AIDE";
	String DIP_LANGUE = "DIP_LANGUE";
	String DIP_TIC = "DIP_TIC";
	String DIP_AUTOFORMATION = "DIP_AUTOFORMATION";
	String DIP_FOAD = "DIP_FOAD";
	String DIP_PUBLIC_SPEC = "DIP_PUBLIC_SPEC";
	String DIP_ENQUETE = "DIP_ENQUETE";
	String DIP_PROMOTION = "DIP_PROMOTION";
	String DIP_AUTRES = "DIP_AUTRES";
	String DIP_FORMATION_CONTINUE = "DIP_FORMATION_CONTINUE";
	String DIP_FORMATION_ALTERNANCE = "DIP_FORMATION_ALTERNANCE";
	String DIP_VAE = "DIP_VAE";
	String DIP_OUVERTURE = "DIP_OUVERTURE";
	String DIP_CURSUS = "DIP_CURSUS";
	String DIP_STAGES = "DIP_STAGES";
	String DIP_CONVENTIONS = "DIP_CONVENTIONS";
	String DIP_DISPOSITIF_EVALUATION = "DIP_DISPOSITIF_EVALUATION";
	String DIP_ENQUETE_EVAL = "DIP_ENQUETE_EVAL";
	String DIP_IMPLICATION = "DIP_IMPLICATION";
	
	
	/**
	 * @return code du titre
	 */
	String code();
	
	/**
	 * @return libelle du titre
	 */
	String libelle();
	
	/**
	 * @return ordre dans lequel le champ doit apparaitre
	 */
	Integer ordre();
}
